summaryrefslogtreecommitdiffstats
path: root/libraries/uhttpmock
diff options
context:
space:
mode:
author Ozan Türkyılmaz2022-04-05 15:51:28 +0200
committer Willy Sudiarto Raharjo2022-04-09 10:45:46 +0200
commitf9b1a88932061d5cf0c72bd4eb6bf6144dd2023f (patch)
tree1dcdd30606866994a90e4067b0d6bb577d2eab0d /libraries/uhttpmock
parentd6f15eb36b82aff4a0bd4d5ac78a238c82ebdae7 (diff)
downloadslackbuilds-f9b1a88932061d5cf0c72bd4eb6bf6144dd2023f.tar.gz
libraries/uhttpmock: Added (Library for Mocking web service API's).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/uhttpmock')
-rw-r--r--libraries/uhttpmock/README9
-rw-r--r--libraries/uhttpmock/slack-desc19
-rw-r--r--libraries/uhttpmock/uhttpmock.SlackBuild120
-rw-r--r--libraries/uhttpmock/uhttpmock.info10
4 files changed, 158 insertions, 0 deletions
diff --git a/libraries/uhttpmock/README b/libraries/uhttpmock/README
new file mode 100644
index 0000000000..88b8da1c81
--- /dev/null
+++ b/libraries/uhttpmock/README
@@ -0,0 +1,9 @@
+uhttpmock is a project for mocking web service APIs which use HTTP or
+HTTPS. It provides a library, libuhttpmock, which implements recording
+and playback of HTTP requestresponse traces.
+
+Below variables can be used to configure the build:
+ GTKDOC=yes : Use gtk-doc to build documentation
+ INTROSPECTION=yes : Enable introspection for this build
+ VALA=yes : Build Vala bindings
+ COVERAGE=yes : Enable code coverage support
diff --git a/libraries/uhttpmock/slack-desc b/libraries/uhttpmock/slack-desc
new file mode 100644
index 0000000000..6c909f0388
--- /dev/null
+++ b/libraries/uhttpmock/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+uhttpmock: uhttpmock (Library for Mocking web service API's)
+uhttpmock:
+uhttpmock: The uhttpmock package contains a library for
+uhttpmock: mocking web service APIs which use HTTP or HTTPS
+uhttpmock:
+uhttpmock: https://gitlab.com/uhttpmock/uhttpmock
+uhttpmock:
+uhttpmock:
+uhttpmock:
+uhttpmock:
+uhttpmock:
diff --git a/libraries/uhttpmock/uhttpmock.SlackBuild b/libraries/uhttpmock/uhttpmock.SlackBuild
new file mode 100644
index 0000000000..e2319d7dfd
--- /dev/null
+++ b/libraries/uhttpmock/uhttpmock.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+
+# Slackware build script for uhttpmock
+
+# Copyright 2022 Ozan Türkyılmaz
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=uhttpmock
+VERSION=${VERSION:-0.5.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+INTROSPECTION=${INTROSPECTION:-no}
+GTKDOC=${GTKDOC:-no}
+VALA=${VALA:-no}
+COVERAGE=${COVERAGE:-no}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --enable-introspection="$INTROSPECTION" \
+ --enable-gtk-doc="$GTKDOC" \
+ --enable-gtk-doc-html="$GTKDOC" \
+ --enable-vala="$VALA" \
+ --enable-code-coverage="$COVERAGE" \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS INSTALL README COPYING HACKING NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/uhttpmock/uhttpmock.info b/libraries/uhttpmock/uhttpmock.info
new file mode 100644
index 0000000000..7aab957151
--- /dev/null
+++ b/libraries/uhttpmock/uhttpmock.info
@@ -0,0 +1,10 @@
+PRGNAM="uhttpmock"
+VERSION="0.5.3"
+HOMEPAGE="https://gitlab.com/uhttpmock/uhttpmock"
+DOWNLOAD="https://tecnocode.co.uk/downloads/uhttpmock/uhttpmock-0.5.3.tar.xz"
+MD5SUM="dcbd66e80e1635e41b0e434b9852bd39"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ozan Türkyılmaz"
+EMAIL="ozan.turkyilmaz@gmail.com"